﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace C1SalesBook
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void OnStartup(object sender, StartupEventArgs e)
        {
            // Create the ViewModel and expose it using the View's DataContext
            MainView view = new MainView();
            ViewModels.MainViewModel mainViewModel = new ViewModels.MainViewModel();

            // Load sample test data for demonstration purposes
            mainViewModel.LoadSales("Sales.xml");

            view.DataContext = mainViewModel;

            view.Show();
        }
    }
}
